Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
Lucene::Filter Class Referenceabstract

Abstract base class for restricting which documents may be returned during searching. More...

`#include <Filter.h>`

Inheritance diagram for Lucene::Filter:

## Public Member Functions

virtual | ~Filter ()
virtual String | getClassName ()
boost::shared_ptr< Filter > | shared_from_this ()
virtual DocIdSetPtr | getDocIdSet (const IndexReaderPtr &reader)=0
| Creates a DocIdSet enumerating the documents that should be permitted in search results. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Abstract base class for restricting which documents may be returned during searching.

## Constructor & Destructor Documentation

virtual Lucene::Filter::~Filter | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::Filter::_getClassName | ( |  | ) |

inline static

virtual String Lucene::Filter::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::FieldCacheTermsFilter, Lucene::FieldCacheRangeFilter, Lucene::CachingWrapperFilter, Lucene::TermRangeFilter, Lucene::MultiTermQueryWrapperFilter, Lucene::NumericRangeFilter, Lucene::SpanQueryFilter, Lucene::QueryWrapperFilter, Lucene::SpanFilter, Lucene::CachingSpanFilter, and Lucene::PrefixFilter.

virtual DocIdSetPtr Lucene::Filter::getDocIdSet | ( | const IndexReaderPtr & | reader | ) |

pure virtual

Creates a DocIdSet enumerating the documents that should be permitted in search results.

Note: null can be returned if no documents are accepted by this Filter.

Note: This method will be called once per segment in the index during searching. The returned DocIdSet must refer to document IDs for that segment, not for the top-level reader.

Parameters

  reader | a IndexReader instance opened on the index currently searched on. Note, it is likely that the provided reader does not represent the whole underlying index ie. if the index has more than one segment the given reader only represents a single segment.

Returns
  a DocIdSet that provides the documents which should be permitted or prohibited in search results. NOTE: null can be returned if no documents will be accepted by this Filter.

See also
  DocIdBitSet

Implemented in Lucene::CachingWrapperFilter, Lucene::FieldCacheTermsFilter, Lucene::MultiTermQueryWrapperFilter, Lucene::CachingSpanFilter, Lucene::SpanQueryFilter, and Lucene::QueryWrapperFilter.

boost::shared_ptr< Filter > Lucene::Filter::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- Filter.h

clucene.sourceforge.net